<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Empresa;
use App\Models\Afiliado;
use App\Models\Proveedor;
use App\Models\Producto;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Auth;
use App\Models\FacturaProveedorEmpresa;
use App\Models\FacturaProveedorAfiliado;
use App\Models\Almacen;
use App\Models\Categoria;
use Illuminate\Support\Facades\DB;


class FacturaController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function indexFacturaProveedor()
    {
        return view('factura.proveedor.index');
    }





    public function createFacturaProveedor(Request $request)
    {
        // Obtener los parámetros del request
        $comprador = $request->input('comprador');
        $proveedor = $request->input('proveedor');
        $numeroFactura = $request->input('numeroFactura');
        $tipoComprador = $request->input('tipoComprador');

        // Inicializar variable para la factura y para el comprador
        $datosFactura = null;
        $datosComprador = null;

        // Buscar la factura en la tabla correspondiente
        if ($tipoComprador == 1) {
            // Buscar en factura_proveedor_empresa
            $datosFactura = FacturaProveedorEmpresa::where('proveedor_id', $proveedor)
                ->where('numero_factura_real', $numeroFactura)
                ->first();

            // Buscar los datos del comprador en la tabla empresa
            $datosComprador = Empresa::find($comprador);
        } elseif ($tipoComprador == 2) {
            // Buscar en factura_proveedores_afiliados
            $datosFactura = FacturaProveedorAfiliado::where('proveedor_id', $proveedor)
                ->where('numero_factura_real', $numeroFactura)
                ->first();

            // Buscar los datos del comprador en la tabla afiliados
            $datosComprador = Afiliado::find($comprador);
        }
        $datosProveedor = Proveedor::find($proveedor);
        // Cargar los productos que pertenecen al proveedor especificado
        $productos = Producto::where('proveedor_id', $proveedor)->get();
        $empresa = Empresa::find(1);
        $almacenes = Almacen::where('estatus', 'activo')->get(['id', 'nombre_almacen']);
        $proveedores = Proveedor::where('estatus', 'activo')->get(['id', 'nombres', 'apellidos']);
        $categorias = Categoria::where('estatus', 'activo')->get(['id', 'nombre_categoria']);
        // Pasar los datos a la vista
        return view('factura.proveedor.create', compact('proveedores','categorias','almacenes','empresa','datosFactura', 'productos','datosProveedor','datosComprador'));
    }





    /* Obtener proveedores y productos apartir del afiliado */
    public function getProveedores()
    {
        $proveedores = Proveedor::all();
        $proveedoresTransformados = $proveedores->map(function ($proveedor) {
            return [
                'id' => $proveedor->id,
                'nombre' => $proveedor->nombres . ' ' . $proveedor->apellidos,
            ];
        });
        return response()->json(['proveedores' => $proveedoresTransformados]);
    }


    public function getProductos($proveedorId)
    {
        $productos = Producto::where('proveedor_id', $proveedorId)
            ->with(['imagenes' => function ($query) {
                $query->where('order', 1);
            }])
            ->get();

        return response()->json(['productos' => $productos]);
    }

    public function getAfiliados()
    {
        $afiliados = Afiliado::all();

        $afiliadosTransformados = $afiliados->map(function ($afiliado) {
            return [
                'id' => $afiliado->id,
                'nombre' => $afiliado->nombres . ' ' . $afiliado->apellidos,

            ];
        });

        return response()->json(['compradores' => $afiliadosTransformados]);
    }

    public function getEmpresa()
    {
        $empresa = Empresa::first();

        // Transformar la respuesta para que sea consistente
        $empresaTransformada = [
            'id' => $empresa->id,
            'nombre' => $empresa->nombre_empresa,
        ];

        // Devolver la información de la empresa en formato JSON
        return response()->json(['compradores' => [$empresaTransformada]]);
    }

    public function listaFacturaEmpresa()
    {
        $routeName = 'facturaProveedorEmpresa'; // Puedes modificar esto según el módulo
        $factura = FacturaProveedorEmpresa::All()->map(function ($datosDelObjeto) use ($routeName) {

            return [
                'id'                => $datosDelObjeto->id,
                'proveedor'         => $datosDelObjeto->proveedor->nombres . ' ' . $datosDelObjeto->proveedor->apellidos,
                'empresa'           => $datosDelObjeto->empresa->nombre_empresa,
                'usuario'           => $datosDelObjeto->user->name,
                'total'             => '$' . $datosDelObjeto->total,
                'abono'             => '$' . $datosDelObjeto->abono,
                'fecha_facturacion' => $datosDelObjeto->fecha_facturacion,
                'estatus'           => $datosDelObjeto->estatus,
                'acciones'          => view('components.accionesFacturas', compact('datosDelObjeto', 'routeName'))->render(),
                'numeroFacturaReal' => $datosDelObjeto->numero_factura_real == null ? 'No asignado' : $datosDelObjeto->numero_factura_real,
            ];
        });
        return response()->json($factura);
    }

    public function listaFacturaAfiliado()
    {
        $routeName = 'facturaProveedorAfiliado'; // Puedes modificar esto según el módulo
        $factura = facturaProveedorAfiliado::All()->map(function ($datosDelObjeto) use ($routeName) {

            return [
                'id'                => $datosDelObjeto->id,
                'proveedor'         => $datosDelObjeto->proveedor->nombres . ' ' . $datosDelObjeto->proveedor->apellidos,
                'afiliado'           => $datosDelObjeto->afiliado->nombres . ' ' . $datosDelObjeto->afiliado->apellidos,
                'usuario'           => $datosDelObjeto->user->name,
                'total'             => '$' . $datosDelObjeto->total,
                'abono'             => '$' . $datosDelObjeto->abono,
                'fecha_facturacion' => $datosDelObjeto->fecha_facturacion,
                'estatus'           => $datosDelObjeto->estatus,
                'acciones'          => view('components.accionesFacturas', compact('datosDelObjeto', 'routeName'))->render(),
                'numeroFacturaReal' => $datosDelObjeto->numero_factura_real == null ? 'No asignado' : $datosDelObjeto->numero_factura_real,
            ];
        });
        return response()->json($factura);
    }

    public function storeFacturaProveedorEmpresa(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'comprador'     => 'required|exists:empresas,id',
            'proveedor'     => 'required|exists:proveedores,id',
            'numeroFactura' => [
                'required',
                function ($attribute, $value, $fail) use ($request) {
                    $proveedorId = $request->input('proveedor');

                    $facturaEmpresaExiste = DB::table('factura_proveedor_empresa')
                        ->where('proveedor_id', $proveedorId)
                        ->where('numero_factura_real', $value)
                        ->exists();

                    $facturaAfiliadoExiste = DB::table('factura_proveedores_afiliado')
                        ->where('proveedor_id', $proveedorId)
                        ->where('numero_factura_real', $value)
                        ->exists();

                    if ($facturaEmpresaExiste || $facturaAfiliadoExiste) {
                        $fail('El número de factura ya existe para este proveedor.');
                    }
                },
            ],
        ]);

        if ($validator->fails()) {
            return response()->json(['errors' => $validator->errors()], 422);
        }


        $user = Auth::user();
        $factura = FacturaProveedorEmpresa::create([
            'proveedor_id' => $request->proveedor,
            'empresa_id' => $request->comprador,
            'numero_factura_real' => $request->numeroFactura,
            'total' => 0,
            'abono' => 0,
            'usuario_id'   => $user->id,
            'fecha_facturacion' => date("Y-m-d")
        ]);
    }

    public function storeFacturaProveedorAfiliado(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'comprador'     => 'required|exists:empresas,id',
            'proveedor'     => 'required|exists:proveedores,id',
            'numeroFactura' => [
                'required',
                function ($attribute, $value, $fail) use ($request) {
                    $proveedorId = $request->input('proveedor');

                    $facturaEmpresaExiste = DB::table('factura_proveedor_empresa')
                        ->where('proveedor_id', $proveedorId)
                        ->where('numero_factura_real', $value)
                        ->exists();

                    $facturaAfiliadoExiste = DB::table('factura_proveedores_afiliado')
                        ->where('proveedor_id', $proveedorId)
                        ->where('numero_factura_real', $value)
                        ->exists();

                    if ($facturaEmpresaExiste || $facturaAfiliadoExiste) {
                        $fail('El número de factura ya existe para este proveedor.');
                    }
                },
            ],
        ]);

        if ($validator->fails()) {
            return response()->json(['errors' => $validator->errors()], 422);
        }

        $user = Auth::user();
        $factura = FacturaProveedorAfiliado::create([
            'proveedor_id' => $request->proveedor,
            'afiliado_id' => $request->comprador,
            'numero_factura_real' => $request->numeroFactura,
            'total' => 0,
            'abono' => 0,
            'usuario_id'   => $user->id,
            'fecha_facturacion' => date("Y-m-d")
        ]);
    }

    /* Fin de obtener proveedores y productos apartir del afiliado */
}
