<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Afiliado;
use App\Models\Empresa;
use App\Models\Producto;
use DB;

class InventarioController extends Controller
{
    public function registrarCompraAfiliado(Request $request)
    {
        $afiliadoId = $request->input('afiliado_id');
        $productoId = $request->input('producto_id');
        $cantidad = $request->input('cantidad');

        $afiliado = Afiliado::find($afiliadoId);
        $producto = Producto::find($productoId);

        $afiliado->productos()->attach($productoId, ['cantidad' => $cantidad, 'stock' => $cantidad]);

        $producto->cantidad += $cantidad;
        $producto->save();

        return response()->json(['message' => 'Compra registrada con éxito']);
    }

    public function registrarCompraEmpresa(Request $request)
    {
        $empresaId = $request->input('empresa_id');
        $productoId = $request->input('producto_id');
        $cantidad = $request->input('cantidad');

        $empresa = Empresa::find($empresaId);
        $producto = Producto::find($productoId);

        $empresa->productos()->attach($productoId, ['cantidad' => $cantidad, 'stock' => $cantidad]);

        $producto->cantidad += $cantidad;
        $producto->save();

        return response()->json(['message' => 'Compra registrada con éxito']);
    }

    public function registrarVenta(Request $request)
    {
        $productoId = $request->input('producto_id');
        $cantidadVendida = $request->input('cantidad');

        $producto = Producto::find($productoId);

        if ($producto->cantidad < $cantidadVendida) {
            return response()->json(['error' => 'No hay suficiente cantidad disponible'], 400);
        }

        $producto->cantidad -= $cantidadVendida;
        $producto->save();

        $cantidadRestante = $cantidadVendida;

        // Descontar del stock de los afiliados
        $afiliadosProductos = DB::table('afiliados_productos')
                                ->where('producto_id', $productoId)
                                ->where('stock', '>', 0)
                                ->orderBy('created_at', 'asc')
                                ->get();

        foreach ($afiliadosProductos as $afiliadoProducto) {
            if ($cantidadRestante <= 0) {
                break;
            }

            $stockDisponible = $afiliadoProducto->stock;

            if ($stockDisponible >= $cantidadRestante) {
                DB::table('afiliados_productos')
                    ->where('id', $afiliadoProducto->id)
                    ->update(['stock' => $stockDisponible - $cantidadRestante]);

                $cantidadRestante = 0;
            } else {
                DB::table('afiliados_productos')
                    ->where('id', $afiliadoProducto->id)
                    ->update(['stock' => 0]);

                $cantidadRestante -= $stockDisponible;
            }
        }

        // Descontar del stock de la empresa si aún queda cantidad restante
        if ($cantidadRestante > 0) {
            $empresaProductos = DB::table('empresa_productos')
                                  ->where('producto_id', $productoId)
                                  ->where('stock', '>', 0)
                                  ->orderBy('created_at', 'asc')
                                  ->get();

            foreach ($empresaProductos as $empresaProducto) {
                if ($cantidadRestante <= 0) {
                    break;
                }

                $stockDisponible = $empresaProducto->stock;

                if ($stockDisponible >= $cantidadRestante) {
                    DB::table('empresa_productos')
                        ->where('id', $empresaProducto->id)
                        ->update(['stock' => $stockDisponible - $cantidadRestante]);

                    $cantidadRestante = 0;
                } else {
                    DB::table('empresa_productos')
                        ->where('id', $empresaProducto->id)
                        ->update(['stock' => 0]);

                    $cantidadRestante -= $stockDisponible;
                }
            }
        }

        if ($cantidadRestante > 0) {
            return response()->json(['error' => 'No hay suficiente cantidad disponible en total'], 400);
        }

        return response()->json(['message' => 'Venta registrada con éxito']);
