<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Afiliado extends Model
{
    protected $fillable = ['nombres', 'apellidos', 'cedula', 'telefono', 'email','direccion','estatus','motivo_inhabilitacion','foto'];

    public function user() {
        return $this->belongsTo(User::class);
    }

    public function productos()
    {
        return $this->belongsToMany(Producto::class, 'afiliados_productos')
        ->withPivot('cantidad', 'stock')
        ->withTimestamps();
    }


}
