<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DetalleFacturaProveedorAfiliado extends Model
{
    protected $table = 'detalle_factura_proveedor_afiliado';

    protected $fillable = [
        'factura_id',
        'producto_id',
        'cantidad',
        'precio_unitario',
        'total'
    ];

    // Relación con FacturaProveedorAfiliado
    public function factura()
    {
        return $this->belongsTo(FacturaProveedorAfiliado::class, 'factura_id');
    }

    // Relación con Producto
    public function producto()
    {
        return $this->belongsTo(Producto::class, 'producto_id');
    }
}

