<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FacturaProveedorAfiliado extends Model
{
    protected $table = 'factura_proveedores_afiliado';

    protected $fillable = [
        'proveedor_id',
        'afiliado_id',
        'fecha_facturacion',
        'numero_factura_real',
        'total',
        'usuario_id',
        'estatus'
    ];

    // Relación con Proveedor
    public function proveedor()
    {
        return $this->belongsTo(Proveedor::class, 'proveedor_id');
    }

    // Relación con Afiliado
    public function afiliado()
    {
        return $this->belongsTo(Afiliado::class, 'afiliado_id');
    }

    // Relación con los detalles de la factura
    public function detalles()
    {
        return $this->hasMany(DetalleFacturaProveedorAfiliado::class, 'factura_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'usuario_id');
    }
}

