<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class FacturaProveedorEmpresa extends Model
{
    protected $table = 'factura_proveedor_empresa';

    protected $fillable = [
        'proveedor_id',
        'empresa_id',
        'usuario_id',
        'fecha_facturacion',
        'numero_factura_real',
        'abono',
        'total',
        'estatus'
    ];

    // Relación con Proveedor
    public function proveedor()
    {
        return $this->belongsTo(Proveedor::class, 'proveedor_id');
    }

    // Relación con Empresa
    public function empresa()
    {
        return $this->belongsTo(Empresa::class, 'empresa_id');
    }

    // Relación con los detalles de la factura
    public function detalles()
    {
        return $this->hasMany(DetalleFacturaProveedorEmpresa::class, 'factura_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'usuario_id');
    }
}
