<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Vendedor extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'vendedores';
    protected $fillable = [
        'user_id',
        'nombres',
        'apellidos',
        'cedula',
        'telefono',
        'direccion',
        'estatus',
        'motivo_inhabilitacion',
        'foto',
    ];

    /**
     * Get the user associated with the vendedor.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
