<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('almacenes', function (Blueprint $table) 
        { 
            $table->id(); 
            $table->string('nombre_almacen'); 
            $table->text('descripcion')->nullable(); 
            $table->enum('estatus', ['activo', 'inactivo'])->default('activo'); 
            $table->string('ubicacion'); $table->unsignedBigInteger('sucursal_id'); 
            $table->timestamps(); 
            $table->foreign('sucursal_id')->references('id')->on('sucursales')->onDelete('cascade'); 
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('almacenes');
    }
};
