<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateClientesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clientes', function (Blueprint $table) {
            $table->id();
            $table->string('nombres');
            $table->string('apellidos');
            $table->string('cedula')->unique();
            $table->string('direccion')->nullable();
            $table->string('correo')->unique();
            $table->string('telefono')->nullable();
            $table->unsignedBigInteger('usuario_id'); // Usuario que registra al cliente
            $table->timestamp('fecha_registro')->useCurrent(); // Fecha del registro
            $table->timestamps(); // Crea los campos created_at y updated_at

            // Relación con la tabla users (usuario que registra)
            $table->foreign('usuario_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clientes');
    }
}

