<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFacturasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('facturas', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('cliente_id');
            $table->unsignedBigInteger('vendedor_id'); // Usuario que carga los productos
            $table->unsignedBigInteger('cobrador_id'); // Usuario que finaliza la factura
            $table->date('fecha');
            $table->decimal('tipo_cambio', 10, 2); // Tipo de cambio del día
            $table->decimal('subtotal', 10, 2);
            $table->decimal('iva', 10, 2);
            $table->decimal('total', 10, 2);
            $table->timestamps(); // Crea los campos created_at y updated_at

            // Relación con la tabla clientes
            $table->foreign('cliente_id')->references('id')->on('clientes')->onDelete('cascade');

            // Relación con la tabla users (vendedores)
            $table->foreign('vendedor_id')->references('id')->on('users')->onDelete('cascade');

            // Relación con la tabla users (cobradores)
            $table->foreign('cobrador_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('facturas');
    }
}

