<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDetalleFacturasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('detalle_facturas', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('factura_id');
            $table->unsignedBigInteger('producto_id');
            $table->integer('cantidad');
            $table->decimal('precio_empresa', 8, 2); // Precio establecido por la empresa
            $table->decimal('precio_vendedor', 8, 2); // Precio personalizado por el vendedor
            $table->decimal('subtotal', 10, 2);
            $table->timestamps(); // Crea los campos created_at y updated_at

            // Relación con la tabla facturas
            $table->foreign('factura_id')->references('id')->on('facturas')->onDelete('cascade');

            // Relación con la tabla productos
            $table->foreign('producto_id')->references('id')->on('productos')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('detalle_facturas');
    }
}

