<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('factura_proveedores_afiliado', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('proveedor_id');
            $table->unsignedBigInteger('usuario_id');
            $table->unsignedBigInteger('afiliado_id'); // Agregar columna afiliado_id
            $table->decimal('total', 10, 2);
            $table->decimal('abono', 10, 2)->default(0); // Agregar columna abono con valor por defecto 0
            $table->date('fecha_facturacion'); // Agregar columna fecha_facturacion
            $table->timestamps();

            // Relaciones
            $table->foreign('proveedor_id')->references('id')->on('proveedores')->onDelete('cascade');
            $table->foreign('usuario_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('afiliado_id')->references('id')->on('afiliados')->onDelete('cascade'); // Relación con la tabla afiliados
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('factura_proveedores');
    }
};
