<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('empresa_productos', function (Blueprint $table) {
        $table->id();
        $table->unsignedBigInteger('empresa_id');
        $table->unsignedBigInteger('producto_id');
        $table->integer('cantidad'); // Cantidad de productos comprados
        $table->integer('stock')->default(0); // Stock actual de productos
        $table->timestamps();

        $table->foreign('empresa_id')->references('id')->on('empresas')->onDelete('cascade');
        $table->foreign('producto_id')->references('id')->on('productos')->onDelete('cascade');
    });
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('empresa_productos');
    }
};
