<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('detalle_factura_proveedor_empresa', function (Blueprint $table) {
        $table->id();
        $table->unsignedBigInteger('factura_id');
        $table->unsignedBigInteger('producto_id');
        $table->integer('cantidad');
        $table->decimal('precio_unitario', 10, 2);
        $table->decimal('total', 10, 2);
        $table->timestamps();

        // Relaciones
        $table->foreign('factura_id')->references('id')->on('factura_proveedor_empresa')->onDelete('cascade');
        $table->foreign('producto_id')->references('id')->on('productos')->onDelete('cascade');
    });
}


    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detalle_factura_proveedor_empresa');
    }
};
