$(document).ready(function () {
    tablaDeProveedores();
    /*  document.addEventListener("DOMContentLoaded", function () {
        var form = document.querySelector("#formUpdate");

        // Bootstrap 5 validation
        form.addEventListener(
            "submit",
            function (event) {
                if (!form.checkValidity()) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                form.classList.add("was-validated");
            },
            false
        );
    }); */

    function tablaDeProveedores() {
        $.ajax({
            url: "/proveedor/lista",
            type: "GET",
            success: function (data) {
                tabla_suc = $("#proveedores-table").dataTable({
                    responsive: true,
                    lengthChange: true,
                    autoWidth: true,
                    data: data,
                    language: {
                        lengthMenu: "Mostrar _MENU_ Registros por pagina",
                        zeroRecords: "No tenemos Coincidencias",
                        info: "Pagina Mostrada _PAGE_ of _PAGES_",
                        infoEmpty: "No records available",
                        infoFiltered: "(filtered from _MAX_ total records)",
                        search: "Buscar:",
                        loadingRecords: "Cargando...",
                        emptyTable: "No hay información",
                        paginate: {
                            first: "Primero",
                            last: "Ultimo",
                            next: "<i class='ri-arrow-right-s-line'></i>",
                            previous: "<i class='ri-arrow-left-s-line'></i>",
                        },
                        info: "Mostrando _PAGE_ de _PAGES_ del total de Paginas",
                        infoEmpty: "Mostrando 0 to 0 of 0 Entradas",
                        infoFiltered: "(Filtrado de MAX total entradas)",
                    },

                    destroy: true,
                    columns: [
                        {
                            data: "nombres",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },

                        {
                            data: "apellidos",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },
                        {
                            data: "direccion",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },
                        {
                            data: "correo",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },

                        {
                            data: "telefono",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },
                        {
                            data: "estatus",
                            name: "estatus",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                            render: function (data) {
                                if (data === "activo") {
                                    return '<span class="badge rounded-pill bg-success">Activo</span>';
                                } else {
                                    return '<span class="badge rounded-pill bg-danger">Inactivo</span>';
                                }
                            },
                        },
                        {
                            data: "acciones",
                            className:
                                " text-dark text-x font-weight-bolder opacity-8 text-center",
                        },
                    ],

                    lengthMenu: [
                        [5, 10, 25, -1],
                        [5, 10, 25, "All"],
                    ],
                });
            },
        });
    }

    $("#form-proveedores").on("submit", function (e) {
        e.preventDefault(); // Prevenir el comportamiento por defecto del formulario

        // Eliminar mensajes de error y clases de error existentes
        $(".is-invalid").removeClass("is-invalid");
        $(".invalid-feedback").remove();

        $.ajax({
            url: "/proveedor/store",
            type: "POST",
            data: new FormData(this),
            contentType: false,
            processData: false,
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
                // Manejar la respuesta de éxito
                Swal.fire({
                    icon: "success",
                    title: "Proveedor Registrado con Exito",
                    showConfirmButton: false,
                    customClass: {
                        confirmButton:
                            "btn btn-primary waves-effect waves-light",
                    },
                    buttonsStyling: false,
                });
                // Limpiar el formulario y cerrar el offcanvas
                $("#form-proveedores")[0].reset();
                $("#offcanvasRegistro").offcanvas("hide");
                tablaDeProveedores();
            },
            error: function (xhr, status, error) {
                // Manejar errores
                if (xhr.status === 422) {
                    // Errores de validación
                    var errors = xhr.responseJSON.errors;
                    var errorMessages = "";

                    $.each(errors, function (key, value) {
                        errorMessages += value[0] + "\n"; // Concatenar mensajes de error
                        // Mostrar mensajes de error en los campos del formulario
                        $("#" + key).addClass("is-invalid");
                        $("#" + key).after(
                            '<div class="invalid-feedback">' +
                                value[0] +
                                "</div>"
                        );
                    });
                } else {
                    // Otro tipo de errores
                    alert("Error al registrar el Afiliado.");
                }
            },
        });
    });

    $(document).on("submit", "#formEdit", function (a) {
        a.preventDefault();

        // Eliminar mensajes de error y clases de error existentes
        $(".is-invalid").removeClass("is-invalid");
        $(".invalid-feedback").remove();

        $.ajax({
            url: "/proveedor/editar",
            method: "POST",
            headers: {
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            data: new FormData(this),
            contentType: false,
            processData: false,
            success: function (response) {
                $("#offcanvasEditar").offcanvas("show");
                $("#idAfiliadoEdicion").val(response.id);
                $("#nombresEdit").val(response.nombres);
                $("#apellidosEdit").val(response.apellidos);
                $("#cedulaEdit").val(response.cedula);
                $("#telefonoEdit").val(response.telefono);
                $("#direccionEdit").val(response.direccion);
                $("#uploadedAvatarEdit").attr("src", response.foto);
                $("#formUpdate").submit(function (b) {
                    b.preventDefault();
                    b.stopImmediatePropagation();
                    var form = $("#formUpdate")[0];
                    var data = new FormData(form);
                    $.ajax({
                        url: "/proveedor/update",
                        type: "POST",
                        data: data,
                        cache: false,
                        contentType: false,
                        processData: false,
                        headers: {
                            "X-HTTP-Method-Override": "PUT",
                            "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr(
                                "content"
                            ),
                        },
                        success: function (response) {
                            $(".is-invalid").removeClass("is-invalid");
                            $(".invalid-feedback").remove();
                            tablaDeProveedores();
                            $("#offcanvasEditar").offcanvas("hide");
                            Swal.fire({
                                icon: "success",
                                title: "Actualización Exitosa",
                                showConfirmButton: false,
                                customClass: {
                                    confirmButton:
                                        "btn btn-primary waves-effect waves-light",
                                },
                                buttonsStyling: false,
                            });
                        },
                        error: function (xhr, status, error) {
                            $(".is-invalid").removeClass("is-invalid");
                            $(".invalid-feedback").remove();
                            console.error(
                                "Error al actualizar el Afiliado:",
                                error
                            );

                            if (xhr.responseJSON && xhr.responseJSON.errors) {
                                var errors = xhr.responseJSON.errors;
                                for (var field in errors) {
                                    var inputField = $("[name=" + field + "]");
                                    inputField.addClass("is-invalid");
                                    if (inputField.next(".invalid-feedback").length) {
                                        inputField.next(".invalid-feedback").text(errors[field][0]);
                                    } else {
                                        inputField.after(
                                            '<div class="invalid-feedback">' + errors[field][0] + '</div>'
                                        );
                                    }
                                }
                            }
                        },
                    });
                });
            },
        });
    });


    $(document).on("submit", "#formCambiarEstatus", function (a) {
        a.preventDefault();
        $.ajax({
            url: "/proveedor/cambiarEstatus",
            method: "POST",
            data: new FormData(this),
            contentType: false,
            processData: false,
            headers: {
                "X-HTTP-Method-Override": "PATCH",
                "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
            },
            success: function (response) {
                console.log(response.nuevoEstatus);
                tablaDeProveedores();
                Swal.fire({
                    icon: "success",
                    title: response.mensaje,
                    text: "Proveedor " + response.nuevoEstatus + " con exito",
                    showConfirmButton: false,
                    customClass: {
                        confirmButton:
                            "btn btn-primary waves-effect waves-light",
                    },
                    buttonsStyling: false,
                });
            },
        });
    });
});
