<!doctype html>
@section('title', 'Login')
<html lang="en" class="light-style layout-wide customizer-hide" dir="ltr" data-theme="theme-default"
  data-assets-path="{{ asset('/') }}" data-template="vertical-menu-template" data-style="light">

<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0" />

  <title>{{ config('app.name', 'Laravel') }}-@yield('title', 'mi-aplicacion') </title>

  <meta name="description" content="" />

  <!-- Favicon -->
  <link rel="icon" type="image/x-icon" href="{{ asset('img/favicon/favicon.ico')}}" />

  <!-- Fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com" />
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
  <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;500;600;700&ampdisplay=swap"
    rel="stylesheet" />

  <!-- Icons -->
  <link rel="stylesheet" href="{{ asset('vendor/fonts/remixicon/remixicon.css')}}" />
  <link rel="stylesheet" href="{{ asset('vendor/fonts/flag-icons.css')}}" />

  <!-- Menu waves for no-customizer fix -->
  <link rel="stylesheet" href="{{ asset('vendor/libs/node-waves/node-waves.css')}}" />

  <!-- Core CSS -->

  <link rel="stylesheet" href="{{ asset('css/demo.css')}}" />

  <!-- Vendors CSS -->
  <link rel="stylesheet" href="{{ asset('vendor/libs/perfect-scrollbar/perfect-scrollbar.css')}}" />
  <link rel="stylesheet" href="{{ asset('vendor/libs/typeahead-js/typeahead.css')}}" />
  <!-- Vendor -->
  <link rel="stylesheet" href="{{ asset('vendor/libs/@form-validation/form-validation.css')}}" />

  <!-- Page CSS -->
  <!-- Page -->
  <link rel="stylesheet" href="{{ asset('vendor/css/pages/page-auth.css')}}" />

  <!-- Helpers -->
  <script src="{{ asset('vendor/js/helpers.js')}}"></script>
  <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
  <!--? Template customizer: To hide customizer set displayCustomizer value false in config.js.  -->
  <script src="{{ asset('vendor/js/template-customizer.js')}}"></script>
  <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
  <script src="{{ asset('js/config.js')}}"></script>
</head>

<body>
  <!-- Content -->

  <div class="position-relative">
    <div class="authentication-wrapper authentication-basic container-p-y p-4 p-sm-0">
      <div class="authentication-inner py-6">
        <!-- Login -->
        <div class="card p-md-7 p-1">
          <!-- Logo -->
          <div class="app-brand justify-content-center mt-1">
            <img src="/img/illustrations/logo.png" class="app-brand-logo demo" width="150" height="150"/>
          </div>
          <!-- /Logo -->

          <div class="card-body mt-1">
            <h4 class="mb-1">Bienvenido! 👋</h4>
            <p class="mb-5">Porfavor inicia sesion para ingresar al sistema</p>

            <form id="formAuthentication" class="mb-5" action="{{ route('login') }}" method="POST">
                @csrf
              <div class="form-floating form-floating-outline mb-5">
                <input type="text" class="form-control" id="email" name="email"
                  placeholder="Ingresa tu correo" autofocus />
                <label for="email">Correo</label>
              </div>
              <div class="mb-5">
                <div class="form-password-toggle">
                  <div class="input-group input-group-merge">
                    <div class="form-floating form-floating-outline">
                      <input type="password" id="password" class="form-control" name="password"
                        placeholder="&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;&#xb7;"
                        aria-describedby="password" />
                      <label for="password">Contraseña</label>
                    </div>
                    <span class="input-group-text cursor-pointer"><i class="ri-eye-off-line"></i></span>
                  </div>
                </div>
              </div>
              <div class="mb-5 d-flex justify-content-between mt-5">
                <div class="form-check mt-2">
                  <input class="form-check-input" type="checkbox" id="remember-me" />
                  <label class="form-check-label" for="remember-me"> Recuerdame </label>
                </div>
                <a href="auth-forgot-password-basic.html" class="float-end mb-1 mt-2">
                  <span>Perdiste tu contraseña?</span>
                </a>
              </div>
              <div class="mb-5">
                <button class="btn btn-primary d-grid w-100" type="submit">Iniciar Sesion</button>
              </div>
            </form>

            <p class="text-center">
              <span>Primera vez por aqui?</span>
              <a href="auth-register-basic.html">
                <span>Crea tu cuenta</span>
              </a>
            </p>


          </div>
        </div>
        <!-- /Login -->
        <img alt="mask" src="{{asset('img/illustrations/auth-basic-reset-password-mask-light.png')}}"
          class="authentication-image d-none d-lg-block" />
      </div>
    </div>
  </div>

  <!-- / Content -->

  <!-- Core JS -->
  <!-- build:js assets/vendor/js/core.js -->
  <script src="{{ asset('vendor/libs/jquery/jquery.js')}}"></script>
  <script src="{{ asset('vendor/libs/popper/popper.js')}}"></script>
  <script src="{{ asset('vendor/js/bootstrap.js')}}"></script>
  <script src="{{ asset('vendor/libs/node-waves/node-waves.js')}}"></script>
  <script src="{{ asset('vendor/libs/perfect-scrollbar/perfect-scrollbar.js')}}"></script>
  <script src="{{ asset('vendor/libs/hammer/hammer.js')}}"></script>
  <script src="{{ asset('vendor/libs/i18n/i18n.js')}}"></script>
  <script src="{{ asset('vendor/libs/typeahead-js/typeahead.js')}}"></script>
  <script src="{{ asset('vendor/js/menu.js')}}"></script>

  <!-- endbuild -->

  <!-- Vendors JS -->
  <script src="{{ asset('vendor/libs/@form-validation/bootstrap5.js')}}"></script>
  <script src="{{ asset('vendor/libs/@form-validation/auto-focus.js')}}"></script>
  <script src="{{ asset('vendor/libs/@form-validation/popular.js')}}"></script>

  <!-- Main JS -->
  <script src="{{ asset('js/main.js')}}"></script>

  <!-- Page JS -->

</body>

</html>
