@extends('layouts.plantilla')
@section('title', 'Facturas de Proveedores')

<meta name="csrf-token" content="{{ csrf_token() }}">
<link rel="stylesheet" href="{{ asset('vendor/libs/sweetalert2/sweetalert2.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/perfect-scrollbar/perfect-scrollbar.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/typeahead-js/typeahead.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/flatpickr/flatpickr.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/select2/select2.css') }}" />

<!-- Page CSS -->

<link rel="stylesheet" href="{{ asset('vendor/css/pages/app-invoice.css') }}" />
@section('contenidoPrincipal')
    <div class="container-xxl flex-grow-1 container-p-y">
        <div class="row invoice-add">
            <!-- Invoice Add-->
            <div class="col-lg-12 col-12 mb-lg-0 mb-6">
                <div class="card invoice-preview-card p-sm-12 p-6">
                    <div class="card-body invoice-preview-header rounded-4 text-heading p-6 px-3">
                        <div class="row mx-0 px-3 row-gap-6">
                            <div class="col-md-8 ps-0">
                                <div class="d-flex svg-illustration align-items-center gap-2 mb-6">
                                    <span class="app-brand-logo demo">
                                        <span style="color: var(--bs-primary)">
                                            <!-- SVG content -->
                                        </span>
                                    </span>
                                    <span class="mb-0 app-brand-text demo fw-semibold">{{ $empresa->nombre_empresa }}</span>
                                </div>
                                <p class="mb-1">{{ $empresa->direccion }}</p>
                                <p class="mb-1">Rif: {{ $empresa->rif }}</p>
                                <p class="mb-0">Tlf: {{ $empresa->telefono }}</p>
                            </div>
                            <div class="col-md-4 col-8 pe-0 ps-0 ps-md-2">
                                <dl class="row mb-0 gx-4">
                                    <dt class="col-sm-5 mb-2 d-md-flex align-items-center justify-content-start">
                                        <span class="h5 text-capitalize mb-0 text-nowrap">Factura</span>
                                    </dt>
                                    <dd class="col-sm-7">
                                        <div class="input-group input-group-merge input-group-sm">
                                            <span class="input-group-text">#</span>
                                            <input type="text" value="{{ $datosFactura->numero_factura_real }}"
                                                class="form-control" placeholder="45678" id="invoiceId" readonly />
                                        </div>
                                    </dd>
                                    <dt class="col-sm-5 mb-2 d-md-flex align-items-center justify-content-start">
                                        <span class="fw-normal">Fecha de facturacion:</span>
                                    </dt>
                                    <dd class="col-sm-7">
                                        <input type="text" value="{{ $datosFactura->fecha_facturacion }}"
                                            class="form-control form-control-sm invoice-date" placeholder="12/13/2013"
                                            disabled />
                                    </dd>
                                </dl>
                            </div>
                        </div>
                    </div>

                    <div class="card-body py-6 px-0">

                        <div class="row">
                            <div class="col-md-6 col-sm-5 col-12 mb-sm-0 mb-6">
                                <h6>Factura Para:
                                    {{ $datosComprador->nombre_empresa ? ($comprador = $datosComprador->nombre_empresa) : ($comprador = $datosComprador->nombres . ' ' . $datosComprador->apellidos) }}
                                </h6>

                            </div>
                            <div class="col-md-6 col-sm-7">
                                <h6>Proveedor: {{ $datosProveedor->nombres . ' ' . $datosProveedor->apellidos }}</h6>
                                <button class="btn btn-primary" data-bs-toggle="offcanvas"
                                    data-bs-target="#offcanvasRegistro"><i class="ri-boxing-line"></i> Registrar
                                    Productos</button>
                            </div>
                        </div>
                    </div>
                    <hr class="mt-0 mb-6" />
                    <div class="card-body p-0 pb-6">
                        <form class="source-item" id="registrarProducto">
                            <div class="mb-4">
                                <div class="repeater-wrapper pt-0 pt-md-9">
                                    <div class="d-flex border rounded position-relative pe-0">
                                        <div class="row w-100 p-5 gx-5">
                                            <div class="col-md-1 col-12 mb-md-0 mb-4">
                                                <img id="imagenProducto"
                                                    src="{{ asset('img\illustrations\laptop-charging.png') }}"
                                                    alt="Imagen del producto" style="width: 50px; height: 50px;">
                                            </div>
                                            <div class="col-md-5 col-12 mb-md-0 mb-4">
                                                <p class="h6 repeater-title">Producto</p>

                                                <select class="form-select mb-5" id="productos" name="productos">

                                                </select>
                                            </div>
                                            <div class="col-md-2 col-12 mb-md-0 mb-4">
                                                <p class="h6 repeater-title">Cost</p>
                                                <input type="text" id="costo" name="costo"
                                                    class="form-control invoice-item-price mb-5" placeholder="00"
                                                    min="12" disabled />
                                            </div>
                                            <div class="col-md-2 col-12 mb-md-0 mb-4">
                                                <p class="h6 repeater-title">Cant</p>
                                                <input type="text" name="cant" id="cant"
                                                    class="form-control invoice-item-qty" placeholder="1" min="1" />
                                            </div>
                                            <div class="col-md-2 col-12 mb-md-0 mb-4">
                                                <button type="submit" class="btn btn-sm btn-primary">
                                                    <i class="ri-add-line ri-14px me-1_5"></i> añadir
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-12">

                                </div>
                            </div>
                        </form>
                    </div>
                    <hr class="my-1" />
                    <div class="card-body px-0 pb-6">
                        <div class="row row-gap-4">
                            <div class="col-md-6 mb-md-0 mb-3">
                            </div>
                            <div class="col-md-6 d-flex justify-content-md-end mt-2">
                                <div class="invoice-calculations">
                                    <div class="d-flex justify-content-between mb-1">
                                        <span class="w-px-100">Subtotal:</span>
                                        <h6 class="mb-0">$5000.25</h6>
                                    </div>
                                    <div class="d-flex justify-content-between mb-1">
                                        <span class="w-px-100">Discount:</span>
                                        <h6 class="mb-0">$00.00</h6>
                                    </div>
                                    <div class="d-flex justify-content-between mb-1">
                                        <span class="w-px-100">Tax:</span>
                                        <h6 class="mb-0">$100.00</h6>
                                    </div>
                                    <hr class="my-2" />
                                    <div class="d-flex justify-content-between">
                                        <span class="w-px-100">Total:</span>
                                        <h6 class="mb-0">$5100.25</h6>
                                    </div>
                                    <div class="d-flex justify-content-between">
                                        <form>
                                            <button type="submit" class="btn btn-primary mt-3">Guardar Factura</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <hr class="my-2" />
                    <div class="row">
                        <div class="col-sm-2"><a href="{{ route('factura.indexProveedor') }}" class="btn btn-outline-secondary mt-3">Volver</a></div>

                    </div>
                </div>
            </div>
            <!-- /Invoice Add-->
        </div>
    </div>
@endsection
@section('pluginsJs')
    <script src="{{ asset('vendor/libs/sweetalert2/sweetalert2.js') }}"></script>
    <script src="{{ asset('vendor/libs/flatpickr/flatpickr.js') }}"></script>
    <script src="{{ asset('vendor/libs/cleavejs/cleave.js') }}"></script>
    <script src="{{ asset('vendor/libs/cleavejs/cleave-phone.js') }}"></script>
    <script src="{{ asset('vendor/libs/jquery-repeater/jquery-repeater.js') }}"></script>
    <script src="{{ asset('js/app-invoice-add.js') }}"></script>
    <script src="{{ asset('js/main.js') }}"></script>
    <!-- Luego incluye Select2 -->
    <script src="{{ asset('vendor/libs/select2/select2.js') }}"></script>

    @extends('producto.offcanvas.offcanvasRegistroProducto')
    <script>
        $(document).ready(function() {

            $(document).on('productoRegistrado', function(event, response) {
                var proveedorId = {{ $datosProveedor->id }};
                cargarProductos(proveedorId);
            });

            var proveedorId = {{ $datosProveedor->id }};
            cargarProductos(proveedorId);

            function cargarProductos(proveedorId) {
                if (proveedorId) {
                    $.ajax({
                        url: '{{ route('factura.getProductos', ':proveedorId') }}'.replace(
                            ':proveedorId', proveedorId),
                        type: 'GET',
                        success: function(data) {
                            // Limpiar el select de productos
                            $('#productos').empty();

                            // Verificar si hay productos
                            if (data.productos.length > 0) {
                                // Llenar el select de productos
                                data.productos.forEach(function(producto) {
                                    var imagenUrl = producto.imagenes.length > 0 ?
                                        producto.imagenes[0].url_imagen :
                                        'default_image_url.jpg';
                                    $('#productos').append('<option value="' + producto
                                        .id + '" data-img="' + imagenUrl +
                                        '" data-precio="' + producto.precio_compra +
                                        '">' + producto.nombre_producto +
                                        '</option>');
                                });

                                // Seleccionar automáticamente el primer producto
                                var primerProducto = data.productos[0];
                                $('#productos').val(primerProducto.id);

                                // Actualizar el campo de costo con el precio del primer producto
                                $('#costo').val(primerProducto.precio_compra);

                                // Mostrar la imagen del primer producto
                                $('#imagenProducto').attr('src', primerProducto.imagenes
                                    .length > 0 ? primerProducto.imagenes[0].url_imagen :
                                    'default_image_url.jpg');
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error('Error al cargar los productos:', error);
                        }
                    });
                }
            }




            // Cuando se selecciona un producto, actualizar el campo de costo y la imagen
            $('#productos').on('change', function() {
                var selectedOption = $(this).find(':selected');

                if (selectedOption.val()) {
                    var precio = selectedOption.data('precio');
                    var imagenUrl = selectedOption.data('img');
                    $('#costo').val(precio);
                    $('#imagenProducto').attr('src', imagenUrl);
                } else {
                    $('#costo').val('');
                    $('#imagenProducto').attr('src', 'default_image_url.jpg');
                }
            });

            $(document).on("submit", "#registrarProducto", function(a) {
                a.preventDefault();
                $.ajax({
                    url: "/categoria/store",
                    type: "POST",
                    data: new FormData(this),
                    contentType: false,
                    processData: false,
                    headers: {
                        "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                    },
                    success: function(response) {
                        // Manejar la respuesta de éxito
                        Swal.fire({
                            icon: "success",
                            title: "categoria Registrado con Exito",
                            showConfirmButton: false,
                            customClass: {
                                confirmButton: "btn btn-primary waves-effect waves-light",
                            },
                            buttonsStyling: false,
                        });
                        // Limpiar el formulario y cerrar el offcanvas
                        $("#form-categoria")[0].reset();
                        $("#offcanvasRegistro").offcanvas("hide");
                        tablaDeCategorias();
                    },
                    error: function(xhr, status, error) {
                        // Manejar errores
                        if (xhr.status === 422) {
                            // Errores de validación
                            var errors = xhr.responseJSON.errors;
                            var errorMessages = "";

                            $.each(errors, function(key, value) {
                                errorMessages += value[0] +
                                    "\n"; // Concatenar mensajes de error
                                // Mostrar mensajes de error en los campos del formulario
                                $("#" + key).addClass("is-invalid");
                                $("#" + key).after(
                                    '<div class="invalid-feedback">' +
                                    value[0] +
                                    "</div>"
                                );
                            });
                        } else {
                            // Otro tipo de errores
                            alert("Error al registrar el categoria.");
                        }
                    },
                });
            })

        });
    </script>
    <script src="{{ asset('aplicacionJs/producto.js') }}"></script>
@endsection
