@extends('layouts.plantilla')
@section('title', 'Facturas de Proveedores')
<meta name="csrf-token" content="{{ csrf_token() }}">
<link rel="stylesheet" href="{{ asset('vendor/libs/sweetalert2/sweetalert2.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-bs5/datatables.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/typeahead-js/typeahead.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-bs5/datatables.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-responsive-bs5/responsive.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-checkboxes-jquery/datatables.checkboxes.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-buttons-bs5/buttons.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/flatpickr/flatpickr.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/select2/select2.css') }}" />
<!-- Row Group CSS -->
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-rowgroup-bs5/rowgroup.bootstrap5.css') }}" />
@section('contenidoPrincipal')
    <div class="col-xl">
        <div class="card mb-6">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Facturas de Proveedores</h5>

                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modalIniciarFactura">
                    <i class="ri-money-dollar-circle-line"></i> Crear Factura
                </button>


            </div>
        </div>


        <div class="card">
            <div class="card-datatable table-responsive pt-0">
                <table class="datatables-basic table py-1" id="afiliado-factura-table">
                    <thead class="table-border-bottom-0">
                        <tr>

                            <th class="bg-primary text-white text-center">#Factura Interno</th>
                            <th class="bg-primary text-white text-center">#Factura Proveedor</th>
                            <th class="bg-primary text-white text-center">Proveedor</th>
                            <th class="bg-primary text-white text-center">Afiliado</th>
                            <th class="bg-primary text-white text-center">Abonado</th>
                            <th class="bg-primary text-white text-center">Monto total</th>
                            <th class="bg-primary text-white text-center">Fecha.Reg</th>
                            <th class="bg-primary text-white text-center">estatus</th>
                            <th class="bg-primary text-white text-center">Acciones</th>

                        </tr>
                    </thead>
                </table>
            </div>
        </div>





    </div>
    <div class="py-4">
        <div class="card">
            <div class="card-datatable table-responsive pt-0">
                <table class="datatables-basic table py-1" id="empresa-factura-table">
                    <thead class="table-border-bottom-0">
                        <tr>

                            <th class="bg-primary text-white text-center">#Factura Interno</th>
                            <th class="bg-primary text-white text-center">#Factura Proveedor</th>
                            <th class="bg-primary text-white text-center">Proveedor</th>
                            <th class="bg-primary text-white text-center">Empresa</th>
                            <th class="bg-primary text-white text-center">Abonado</th>
                            <th class="bg-primary text-white text-center">Monto total</th>
                            <th class="bg-primary text-white text-center">Fecha.Reg</th>
                            <th class="bg-primary text-white text-center">estatus</th>
                            <th class="bg-primary text-white text-center">Acciones</th>

                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>


@endsection

@section('pluginsJs')
    <script src="{{ asset('vendor/libs/sweetalert2/sweetalert2.js') }}"></script>
    <script src="{{ asset('vendor/libs/datatables-bs5/datatables-bootstrap5.js') }}"></script>
    <script src="{{ asset('vendor/libs/moment/moment.js') }}"></script>
    <script src="{{ asset('vendor/libs/flatpickr/flatpickr.js') }}"></script>
    <script src="{{ asset('vendor/libs/select2/select2.js') }}"></script>
    <script src="{{ asset('js/main.js') }}"></script>
    <script>
        $(document).ready(function() {
            tablaDeFacturasProveedorAfiliado();
            tablaDeFacturasProveedorEmpresa();


            function tablaDeFacturasProveedorEmpresa() {
                $.ajax({
                    url: "proveedor/listaFacturaEmpresa",
                    type: "GET",
                    success: function(data) {
                        tabla_suc = $("#empresa-factura-table").dataTable({
                            responsive: true,
                            lengthChange: true,
                            autoWidth: true,
                            data: data,
                            language: {
                                lengthMenu: "Mostrar _MENU_ Registros por pagina",
                                zeroRecords: "No tenemos Coincidencias",
                                info: "Pagina Mostrada _PAGE_ of _PAGES_",
                                infoEmpty: "No records available",
                                infoFiltered: "(filtered from _MAX_ total records)",
                                search: "Buscar:",
                                loadingRecords: "Cargando...",
                                emptyTable: "No hay información",
                                paginate: {
                                    first: "Primero",
                                    last: "Ultimo",
                                    next: "<i class='ri-arrow-right-s-line'></i>",
                                    previous: "<i class='ri-arrow-left-s-line'></i>",
                                },
                                info: "Mostrando _PAGE_ de _PAGES_ del total de Paginas",
                                infoEmpty: "Mostrando 0 to 0 of 0 Entradas",
                                infoFiltered: "(Filtrado de MAX total entradas)",
                            },

                            destroy: true,
                            columns: [{
                                    data: "id",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },

                                {
                                    data: "numeroFacturaReal",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "proveedor",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "empresa",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "abono",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },

                                {
                                    data: "total",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "fecha_facturacion",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "estatus",
                                    name: "estatus",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                    render: function(data) {
                                        switch (data) {
                                            case 1:
                                                return '<span class="badge rounded-pill bg-secondary">Por pagar</span>';
                                            case 2:
                                                return '<span class="badge rounded-pill bg-success">Pagado</span>';
                                            case 3:
                                                return '<span class="badge rounded-pill bg-danger">Anulado</span>';
                                            default:
                                                return '<span class="badge rounded-pill bg-warning">Desconocido</span>';
                                        }
                                    },
                                },
                                {
                                    data: "acciones",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                            ],

                            lengthMenu: [
                                [5, 10, 25, -1],
                                [5, 10, 25, "All"],
                            ],
                        });
                    },
                });
            }

            function tablaDeFacturasProveedorAfiliado() {
                $.ajax({
                    url: "proveedor/listaFacturaAfiliado",
                    type: "GET",
                    success: function(data) {
                        tabla_suc = $("#afiliado-factura-table").dataTable({
                            responsive: true,
                            lengthChange: true,
                            autoWidth: true,
                            data: data,
                            language: {
                                lengthMenu: "Mostrar _MENU_ Registros por pagina",
                                zeroRecords: "No tenemos Coincidencias",
                                info: "Pagina Mostrada _PAGE_ of _PAGES_",
                                infoEmpty: "No records available",
                                infoFiltered: "(filtered from _MAX_ total records)",
                                search: "Buscar:",
                                loadingRecords: "Cargando...",
                                emptyTable: "No hay información",
                                paginate: {
                                    first: "Primero",
                                    last: "Ultimo",
                                    next: "<i class='ri-arrow-right-s-line'></i>",
                                    previous: "<i class='ri-arrow-left-s-line'></i>",
                                },
                                info: "Mostrando _PAGE_ de _PAGES_ del total de Paginas",
                                infoEmpty: "Mostrando 0 to 0 of 0 Entradas",
                                infoFiltered: "(Filtrado de MAX total entradas)",
                            },

                            destroy: true,
                            columns: [{
                                    data: "id",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },

                                {
                                    data: "numeroFacturaReal",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "proveedor",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "afiliado",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "abono",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },

                                {
                                    data: "total",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "fecha_facturacion",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                                {
                                    data: "estatus",
                                    name: "estatus",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                    render: function(data) {
                                        switch (data) {
                                            case 1:
                                                return '<span class="badge rounded-pill bg-secondary">Por pagar</span>';
                                            case 2:
                                                return '<span class="badge rounded-pill bg-success">Pagado</span>';
                                            case 3:
                                                return '<span class="badge rounded-pill bg-danger">Anulado</span>';
                                            default:
                                                return '<span class="badge rounded-pill bg-warning">Desconocido</span>';
                                        }
                                    },
                                },
                                {
                                    data: "acciones",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                },
                            ],

                            lengthMenu: [
                                [5, 10, 25, -1],
                                [5, 10, 25, "All"],
                            ],
                        });
                    },
                });
            }
            var tipoComprador
            $('#tipoComprador').on('change', function() {
                tipoComprador = $(this).val();
                tipoComprador == 1 ? metodo = 'getEmpresa' : metodo = 'getAfiliados';

                $.ajax({
                    url: 'proveedor/' + metodo,
                    type: 'GET',
                    success: function(data) {
                        // Limpiar el select de compradores
                        $('#comprador').empty().append(
                            '<option selected disabled>Seleccionar Comprador</option>');

                        // Llenar el select de compradores
                        data.compradores.forEach(function(comprador) {
                            $('#comprador').append('<option value="' + comprador
                                .id + '">' + comprador.nombre + '</option>');
                        });
                    },
                    error: function(xhr, status, error) {
                        console.error('Error al cargar los compradores:', error);
                    }
                });
            })



            $('#comprador').on('change', function() {
                var afiliadoId = $(this).val();
                if (afiliadoId) {
                    $.ajax({
                        url: '{{ route('factura.getProveedores') }}',
                        type: 'GET',
                        success: function(data) {
                            // Limpiar el select de proveedores
                            $('#proveedor').empty().append(
                                '<option selected disabled>Seleccionar Proveedor</option>');

                            // Llenar el select de proveedores
                            data.proveedores.forEach(function(proveedor) {
                                $('#proveedor').append('<option value="' + proveedor
                                    .id + '">' + proveedor.nombre + '</option>');
                            });
                        },
                        error: function(xhr, status, error) {
                            console.error('Error al cargar los proveedores:', error);
                        }
                    });
                }
            });
            $('#formRegistrarFactura').on('submit', function(e) {
                e.preventDefault(); // Prevenir el comportamiento predeterminado del formulario inicialmente

                tipoComprador = $('#tipoComprador').val();
                tipoComprador == 1 ? metodo = 'storeEmpresa' : metodo = 'storeAfiliado';
                var formData = new FormData(this);

                $.ajax({
                    url: 'proveedor/' + metodo,
                    type: 'POST',
                    data: formData,
                    processData: false,
                    headers: {
                        "X-CSRF-TOKEN": $('meta[name="csrf-token"]').attr("content"),
                    },
                    contentType: false,
                    success: function(response) {
                        // Limpiar validaciones previas
                        $(".is-invalid").removeClass("is-invalid");
                        $(".invalid-feedback").remove();

                        // Redirigir al método create
                        window.location.href =
                            window.location.href = `proveedor/create?comprador=${$('#comprador').val()}&proveedor=${$('#proveedor').val()}&numeroFactura=${$('#numeroFactura').val()}&tipoComprador=${tipoComprador}`
                    },
                    error: function(xhr, status, error) {
                        $(".is-invalid").removeClass("is-invalid");
                        $(".invalid-feedback").remove();
                        console.error("Error al crear la factura:", error);

                        if (xhr.responseJSON && xhr.responseJSON.errors) {
                            var errors = xhr.responseJSON.errors;
                            for (var field in errors) {
                                var inputField = $("[name='" + field + "']");
                                inputField.addClass("is-invalid");
                                if (inputField.next(".invalid-feedback").length) {
                                    inputField.next(".invalid-feedback").text(errors[field][0]);
                                } else {
                                    inputField.after('<div class="invalid-feedback">' + errors[
                                        field][0] + '</div>');
                                }
                            }
                        }
                    },
                });
            });


        });
    </script>

@endsection
@extends('factura.proveedor.modal.modalRegistrarFactura')
