<!-- Modal -->
<div class="modal fade" id="modalCargarImg" tabindex="-1" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="modalCenterTitle">Imágenes del producto</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="card mb-6">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <h5 class="mb-0 card-title" id="nombreProductoImg"></h5>
                    </div>
                    <div class="card-body">
                        <form class="dropzone needsclick" id="dropzone-basic">
                            @csrf
                            <input type="hidden" id="producto_id_Img" name="producto_id">
                            <div class="dz-message needsclick my-12">
                                <div class="d-flex justify-content-center">
                                    <div class="avatar">
                                        <span class="avatar-initial rounded-3 bg-label-secondary">
                                            <i class="ri-upload-2-line ri-24px"></i>
                                        </span>
                                    </div>
                                </div>
                                <p class="h4 needsclick my-2">Arrastra y suelta tus imágenes aquí</p>
                                <small class="note text-muted d-block fs-6 my-2">o</small>
                                <span class="needsclick btn btn-sm btn-outline-primary" id="btnBrowse">Buscar imagen</span>
                            </div>
                            <div class="fallback">
                                <input name="file" type="file" multiple />
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Incluir Dropzone.js desde un CDN -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.9.3/min/dropzone.min.js"></script>
{{-- <script src="{{ asset('vendor/libs/dropzone/dropzone.js')}}"></script> --}}
<link rel="stylesheet" href="{{ asset('vendor/libs/dropzone/dropzone.css') }}" />

<script>
      const previewTemplate = `<div class="dz-preview dz-file-preview">
<div class="dz-details">
  <div class="dz-thumbnail">
    <img data-dz-thumbnail>
    <span class="dz-nopreview">No preview</span>
    <div class="dz-success-mark"></div>
    <div class="dz-error-mark"></div>
    <div class="dz-error-message"><span data-dz-errormessage></span></div>
    <div class="progress">
      <div class="progress-bar progress-bar-primary" role="progressbar" aria-valuemin="0" aria-valuemax="100" data-dz-uploadprogress></div>
    </div>
  </div>
  <div class="dz-filename" data-dz-name></div>
  <div class="dz-size" data-dz-size></div>
</div>
</div>`;

    Dropzone.autoDiscover = false;

    const dropzoneBasic = document.querySelector('#dropzone-basic');
    if (dropzoneBasic) {
        const myDropzone = new Dropzone(dropzoneBasic, {
            previewTemplate: previewTemplate,
            url: "{{ route('producto.upload') }}", // URL para subir las imágenes
            method: "post",
            headers: {
                'X-CSRF-TOKEN': "{{ csrf_token() }}" // Token CSRF para la solicitud
            },
            paramName: "file", // Nombre del parámetro que Laravel espera
            maxFilesize: 5, // Tamaño máximo del archivo en MB
            acceptedFiles: '.jpg,.jpeg,.png,.gif',
            addRemoveLinks: true,
            maxFiles: 10,
            init: function() {
                this.on("sending", function(file, xhr, formData) {
                    console.log("Enviando archivo:", file);
                    formData.append('producto_id', document.getElementById('producto_id_Img').value); // Añadir el ID del producto al formData
                });
                this.on("success", function(file, response) {
                    console.log("Archivo subido con éxito:", response);
                    // Guardar la URL de la imagen en un campo oculto o en la base de datos
                    file.previewElement.dataset.id = response.id; // Guardar el ID de la imagen en el elemento de vista previa
                });
                this.on("error", function(file, response) {
                    console.log("Error al subir el archivo:", response);
                });
                this.on("removedfile", function(file) {
                    var id = file.previewElement.dataset.id;
                    if (id) {
                        $.ajax({
                            url: "{{ route('producto.deleteImage') }}", // URL para eliminar la imagen
                            type: "POST",
                            data: {
                                _token: "{{ csrf_token() }}",
                                id: id
                            },
                            success: function(response) {
                                console.log("Imagen eliminada con éxito:", response);
                            },
                            error: function(response) {
                                console.log("Error al eliminar la imagen:", response);
                            }
                        });
                    } else {
                        console.error("No se encontró ID para eliminar la imagen.");
                    }
                });
            }
        });
    }
</script>
