@extends('layouts.plantilla')
@section('title', 'Sucursal')
<meta name="csrf-token" content="{{ csrf_token() }}">
<link rel="stylesheet" href="{{ asset('vendor/libs/sweetalert2/sweetalert2.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-bs5/datatables.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/typeahead-js/typeahead.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-bs5/datatables.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-responsive-bs5/responsive.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-checkboxes-jquery/datatables.checkboxes.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-buttons-bs5/buttons.bootstrap5.css') }}" />
<link rel="stylesheet" href="{{ asset('vendor/libs/flatpickr/flatpickr.css') }}" />
<!-- Row Group CSS -->
<link rel="stylesheet" href="{{ asset('vendor/libs/datatables-rowgroup-bs5/rowgroup.bootstrap5.css') }}" />
@section('contenidoPrincipal')
    <div class="col-xl">
        <div class="card mb-6">
            <div class="card-header d-flex justify-content-between align-items-center">
                <h5 class="mb-0">Sucursales</h5>


                <button class="btn btn-primary" data-bs-toggle="offcanvas" data-bs-target="#offcanvasRegistro"><i
                        class="ri-building-4-line"></i> Registrar Sucursal</button>

            </div>
        </div>


            <div class="card">
                <div class="card-datatable table-responsive pt-0">
                    <table class="datatables-basic table py-1" id="sucursales-table">
                        <thead class="table-border-bottom-0">
                            <tr>

                                <th class="bg-primary text-white text-center">Nombre Sucursal</th>
                                <th class="bg-primary text-white text-center">Teléfono</th>
                                <th class="bg-primary text-white text-center">Dirección</th>
                                <th class="bg-primary text-white text-center">Cantidad de Almacenes</th>
                                <th class="bg-primary text-white text-center">Código</th>
                                <th class="bg-primary text-white text-center">Estatus</th>
                                <th class="bg-primary text-white text-center">Acciones</th>

                            </tr>
                        </thead>
                    </table>
                </div>
            </div>

    </div>
    @extends('sucursal.offcanvas.offcanvasRegistroSucursales')
    @extends('sucursal.offcanvas.offcanvasEditarSucursales')
@endsection

@section('pluginsJs')
    <script src="{{ asset('vendor/libs/sweetalert2/sweetalert2.js') }}"></script>
    <script src="{{ asset('vendor/libs/datatables-bs5/datatables-bootstrap5.js') }}"></script>
    <script src="{{ asset('vendor/libs/moment/moment.js') }}"></script>
    <script src="{{ asset('vendor/libs/flatpickr/flatpickr.js') }}"></script>
    <script src="{{ asset('js/main.js') }}"></script>

    <script>
        $(document).ready(function() {
            tablaDeSucursales()

            document.addEventListener('DOMContentLoaded', function() {
                var form = document.querySelector('#formUpdate');

                // Bootstrap 5 validation
                form.addEventListener('submit', function(event) {
                    if (!form.checkValidity()) {
                        event.preventDefault();
                        event.stopPropagation();
                    }

                    form.classList.add('was-validated');
                }, false);
            });


            function tablaDeSucursales() {
                $.ajax({
                    url: '{{ route('sucursal.lista') }}',
                    type: "GET",
                    success: function(data) {

                        tabla_suc = $('#sucursales-table').dataTable({
                            "responsive": true,
                            "lengthChange": true,
                            "autoWidth": true,
                            data: data,
                            language: {
                                "lengthMenu": "Mostrar _MENU_ Registros por pagina",
                                "zeroRecords": "No tenemos Coincidencias",
                                "info": "Pagina Mostrada _PAGE_ of _PAGES_",
                                "infoEmpty": "No records available",
                                "infoFiltered": "(filtered from _MAX_ total records)",
                                "search": "Buscar:",
                                "loadingRecords": "Cargando...",
                                "emptyTable": "No hay información",
                                "paginate": {
                                    "first": "Primero",
                                    "last": "Ultimo",
                                    "next": "<i class='ri-arrow-right-s-line'></i>",
                                    "previous": "<i class='ri-arrow-left-s-line'></i>"
                                },
                                "info": "Mostrando _PAGE_ de _PAGES_ del total de Paginas",
                                "infoEmpty": "Mostrando 0 to 0 of 0 Entradas",
                                "infoFiltered": "(Filtrado de MAX total entradas)",
                            },

                            destroy: true,
                            columns: [

                                {
                                    "data": "nombre_sucursal",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },

                                {
                                    "data": "telefono",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },
                                {
                                    "data": "direccion",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },
                                {
                                    "data": "cantAlmacenes",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },
                                {
                                    "data": "codigo_sucursal",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },
                                {
                                    data: 'estatus',
                                    name: 'estatus',
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center",
                                    render: function(data) {
                                        if (data === 'activo') {
                                            return '<span class="badge rounded-pill bg-success">Activo</span>';

                                        } else {
                                            return '<span class="badge rounded-pill bg-danger">Inactivo</span>';
                                        }
                                    }
                                },
                                {
                                    "data": "acciones",
                                    className: " text-dark text-x font-weight-bolder opacity-8 text-center"
                                },
                            ],

                            lengthMenu: [
                                [5, 10, 25, -1],
                                [5, 10, 25, "All"]
                            ],
                        });


                    }

                })
            }




            $('#form-sucursal').on('submit', function(e) {
                e.preventDefault(); // Prevenir el comportamiento por defecto del formulario
                $(".is-invalid").removeClass("is-invalid");
                $(".invalid-feedback").remove();
                $.ajax({
                    url: '{{ route('sucursal.store') }}',
                    type: 'POST',
                    data: new FormData(this),
                    contentType: false,
                    processData: false,
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(response) {
                        // Manejar la respuesta de éxito
                        Swal.fire({
                            icon: 'success',
                            title: 'Sucursal Registrada con Exito',
                            showConfirmButton: false,
                            customClass: {
                                confirmButton: 'btn btn-primary waves-effect waves-light'
                            },
                            buttonsStyling: false
                        });
                        // Limpiar el formulario y cerrar el offcanvas
                        $('#form-sucursal')[0].reset();
                        $('#offcanvasRegistro').offcanvas('hide');
                        tablaDeSucursales()
                    },
                    error: function(xhr, status, error) {
                        // Manejar errores
                        if (xhr.status === 422) {
                            // Errores de validación
                            var errors = xhr.responseJSON.errors;
                            var errorMessages = '';

                            $.each(errors, function(key, value) {
                                errorMessages += value[0] +
                                    '\n'; // Concatenar mensajes de error
                                // Mostrar mensajes de error en los campos del formulario
                                $('#' + key).addClass('is-invalid');
                                $('#' + key).after('<div class="invalid-feedback">' +
                                    value[0] +
                                    '</div>');
                            });


                        } else {
                            // Otro tipo de errores
                            alert('Error al registrar la sucursal.');
                        }
                    }
                });
            });

            $(document).on('submit', '#formEdit', function(a) {
                a.preventDefault();
                $(".is-invalid").removeClass("is-invalid");
                $(".invalid-feedback").remove();
                $.ajax({
                    url: "{{ route('sucursales.editar') }}",
                    method: "POST",
                    data: new FormData(this),
                    contentType: false,
                    processData: false,
                    success: function(response) {

                        $('#offcanvasEditar').offcanvas('show');
                        $('#idSucursalEdicion').val(response.id);
                        $('#nombre_sucursal_edicion').val(response.nombre_sucursal);
                        $('#telefono_edicion').val(response.telefono);
                        $('#codigo_sucursal_edicion').val(response.codigo_sucursal);
                        $('#direccion_edicion').val(response.direccion);
                        $('#formUpdate').submit(function(b) {
                            b.preventDefault();
                            b.stopImmediatePropagation();
                            var form = $('#formUpdate')[0];
                            var data = new FormData(form);
                            $.ajax({
                                url: "{{ route('sucursal.update') }}",
                                type: "POST",
                                data: data,
                                cache: false,
                                contentType: false,
                                processData: false,
                                headers: {
                                    'X-HTTP-Method-Override': 'PUT',
                                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]')
                                        .attr('content')
                                },
                                success: function(response) {
                                    tablaDeSucursales();
                                    $('#offcanvasEditar').offcanvas('hide');
                                    Swal.fire({
                                        icon: 'success',
                                        title: 'Actualización Exitosa',
                                        showConfirmButton: false,
                                        customClass: {
                                            confirmButton: 'btn btn-primary waves-effect waves-light'
                                        },
                                        buttonsStyling: false
                                    });
                                },
                                error: function(xhr, status, error) {
                                    console.error(
                                        'Error al actualizar la sucursal:',
                                        error);
                                    if (xhr.responseJSON && xhr.responseJSON
                                        .errors) {
                                        // Manejar y mostrar los errores de validación
                                        var errors = xhr.responseJSON
                                            .errors;
                                        for (var field in errors) {
                                            var inputField = $('[name=' +
                                                field + ']');
                                            inputField.addClass(
                                                'is-invalid');
                                            inputField.next(
                                                    '.invalid-feedback')
                                                .text(errors[field][0]);
                                        }
                                    }
                                }
                            });
                        });
                    }
                });
            });

            $(document).on('submit', '#formCambiarEstatus', function(a) {
                a.preventDefault();
                $.ajax({
                    url: "{{ route('sucursales.cambiarEstatus') }}",
                    method: "POST",
                    data: new FormData(this),
                    contentType: false,
                    processData: false,
                    headers: {
                        'X-HTTP-Method-Override': 'PATCH',
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]')
                            .attr('content')
                    },
                    success: function(response) {
                        console.log(response.nuevoEstatus)
                        tablaDeSucursales()
                        Swal.fire({
                            icon: 'success',
                            title: response.mensaje,
                            text: 'Sucursal ' + response.nuevoEstatus + ' con exito',
                            showConfirmButton: false,
                            customClass: {
                                confirmButton: 'btn btn-primary waves-effect waves-light'
                            },
                            buttonsStyling: false
                        })
                    }
                })

            })

        });
    </script>


@endsection
