@extends('layouts.plantilla')
@section('title', 'Sucursal')
<link rel="stylesheet" href="{{ asset('vendor/css/pages/page-profile.css') }}" />
<meta name="csrf-token" content="{{ csrf_token() }}">
@section('contenidoPrincipal')

    <!-- Content wrapper -->

    <!-- Content -->


    <!-- Header -->
    <div class="row">
        <div class="col-12">
            <div class="card mb-6">
                <div class="user-profile-header-banner">
                    <img src="{{ asset('img/pages/profile-banner.png') }}" alt="Banner image" class="rounded-top" />
                </div>
                <div class="user-profile-header d-flex flex-column flex-sm-row text-sm-start text-center mb-5">
                    <div class="flex-shrink-0 mt-n2 mx-sm-0 mx-auto">
                        <img src="{{ $proveedor->foto }}" alt="user image"
                            class="d-block h-auto ms-0 ms-sm-5 rounded-4 user-profile-img" />
                    </div>
                    <div class="flex-grow-1 mt-4 mt-sm-12">
                        <div
                            class="d-flex align-items-md-end align-items-sm-start align-items-center justify-content-md-between justify-content-start mx-5 flex-md-row flex-column gap-6">
                            <div class="user-profile-info">
                                <h4 class="mb-2">{{ $proveedor->nombres }} {{ $proveedor->apellidos }}</h4>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--/ Header -->



    <!-- User Profile Content -->
    <div class="row">
        <div class="col-xl-4 col-lg-5 col-md-5">
            <!-- About User -->
            <div class="card mb-6">
                <div class="card-body">
                    <small class="card-text text-uppercase text-muted small">Informacion</small>
                    <ul class="list-unstyled my-3 py-1">
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-user-3-line ri-24px"></i><span class="fw-medium mx-2">Nombres Apellidos:</span>
                            <span>{{ $proveedor->nombres }} {{ $proveedor->apellidos }}</span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-check-line ri-24px"></i><span class="fw-medium mx-2">Estatus:</span>
                            <span>{{ $proveedor->estatus }}</span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-star-smile-line ri-24px"></i><span class="fw-medium mx-2">Rol:</span>
                            <span>proveedor</span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-flag-2-line ri-24px"></i><span class="fw-medium mx-2">Direccion:</span>
                            <span>{{ $proveedor->direccion }}</span>
                        </li>

                    </ul>
                    <small class="card-text text-uppercase text-muted small">Contacto</small>
                    <ul class="list-unstyled my-3 py-1">
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-phone-line ri-24px"></i><span class="fw-medium mx-2">Telefono:</span>
                            <span>{{ $proveedor->telefono }}</span>
                        </li>

                        <li class="d-flex align-items-center mb-2">
                            <i class="ri-mail-open-line ri-24px"></i><span class="fw-medium mx-2">Email:</span>
                            <span>{{ $proveedor->user->email }}</span>
                        </li>
                    </ul>

                </div>
            </div>
            <!--/ About User -->
            <!-- Profile Overview -->
            <div class="card mb-6">
                <div class="card-body">
                    <small class="card-text text-uppercase text-muted small">Resumen</small>
                    <ul class="list-unstyled mb-0 mt-3 pt-1">
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-survey-line"></i><span class="fw-medium mx-2">Productos Vendidos:</span>
                            <span></span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-numbers-line"></i><span class="fw-medium mx-2">Productos por Vender:</span>
                            <span></span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-money-dollar-circle-line"></i><span class="fw-medium mx-2">Dinero recaudado:</span>
                            <span></span>
                        </li>
                        <li class="d-flex align-items-center mb-4">
                            <i class="ri-money-dollar-circle-line"></i><span class="fw-medium mx-2">Credito por pagar:</span>
                            <span></span>
                        </li>
                    </ul>
                </div>
            </div>

            <div class="card mb-6">
                <div class="card-body">
                    <small class="card-text text-uppercase text-muted small">Cambiar Contraseña</small>
                    <ul class="list-unstyled mb-0 mt-3 pt-1">
                        <li class="d-flex align-items-center mb-4">
                            <form>
                                <input type="hidden" value="{{$proveedor->id}}" name="idproveedor" id="idproveedor">
                                <div class="input-group input-group-merge mb-6">
                                    <span id="ri-store-3-line" class="input-group-text"><i class="ri-lock-password-line"></i></span>
                                    <div class="form-floating form-floating-outline">
                                        <input type="password" class="form-control" id="password" name="password"
                                            placeholder="********" aria-label="password" aria-describedby="ri-store-3-line" />
                                        <label for="ri-store-3-line">Contraseña</label>
                                    </div>
                                </div>
                                <button class="btn btn-primary">Guardar</button>
                            </form>

                        </li>

                    </ul>
                </div>
            </div>
            <!--/ Profile Overview -->
        </div>
        <div class="col-xl-8 col-lg-7 col-md-7">




        <!-- Projects table -->
        <div class="card mb-4">
            <h5 class="card-header">Lista de productos proveedor</h5>
            <div class="card-datatable table-responsive pb-0">
                <table class="table datatable-project table-border-bottom-0">
                    <thead>
                        <tr>
                            <th></th>
                            <th></th>
                            <th>Nombre Producto</th>
                            <th>cantidad</th>
                            <th>recaudado</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>

        <!-- Projects table -->
        <div class="card mb-4">
            <h5 class="card-header">Lista de Facturas</h5>
            <div class="card-datatable table-responsive pb-0">
                <table class="table datatable-project table-border-bottom-0">
                    <thead>
                        <tr>
                            <th></th>
                            <th>#</th>
                            <th>Abonado</th>
                            <th>Monto</th>
                            <th>Fecha</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>


    </div>
        <!--/ Projects table -->
    </div>
    </div>
    <!--/ User Profile Content -->


@endsection
@section('pluginsJs')
<script src="{{ asset('js/main.js') }}"></script>
@endsection
